Bug 189974 - CVE-2006-2120 libtiff DoS
CVE-2006-2120 libtiff DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libtiff (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
source=vendorsec,reported=20060426,pu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 08:14 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0425
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 07:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch extracted from upstream CVS (953 bytes, patch)
2006-04-26 08:14 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-04-26 08:14:54 EDT
A bug was fixed upstream where a malformed tiff image can cause libtiff to crash
due to an OOB memory read.

http://bugzilla.remotesensing.org/show_bug.cgi?id=1065
Comment 1 Josh Bressers 2006-04-26 08:14:54 EDT
Created attachment 128248 [details]
Patch extracted from upstream CVS
Comment 2 Josh Bressers 2006-04-26 08:16:33 EDT
It's likely this issue affect RHEL2 and RHEL3 (I've not had time to check source
yet).
Comment 3 Matthias Clasen 2006-04-26 09:16:31 EDT
only affects RHEL4, tif_color.c is new in 3.6
Comment 6 Red Hat Bugzilla 2006-05-09 07:32:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0425.html

Note You need to log in before you can comment on or make changes to this bug.